org.eclipse.jetty.server.nio

## Class NetworkTrafficSelectChannelConnector

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.AbstractConnector
      - - org.eclipse.jetty.server.nio.AbstractNIOConnector
        - - org.eclipse.jetty.server.nio.SelectChannelConnector
          - - org.eclipse.jetty.server.nio.NetworkTrafficSelectChannelConnector

- All Implemented Interfaces:
    HttpBuffers, Connector, NIOConnector, Destroyable, Dumpable, LifeCycle

      public class NetworkTrafficSelectChannelConnector
      extends SelectChannelConnector

  A specialized version of `SelectChannelConnector` that supports `NetworkTrafficListener`s.

  `NetworkTrafficListener`s can be added and removed dynamically before and after this connector has been started without causing `ConcurrentModificationException`s.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.nio.SelectChannelConnector

      `_acceptChannel`

    - ### Fields inherited from class org.eclipse.jetty.server.AbstractConnector

      `_buffers, _lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkTrafficSelectChannelConnector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNetworkTrafficListener(NetworkTrafficListener listener)`
    `protected void` | `endPointClosed(SelectChannelEndPoint endpoint)`
    `protected SelectChannelEndPoint` | `newEndPoint(java.nio.channels.SocketChannel channel, SelectorManager.SelectSet selectSet, java.nio.channels.SelectionKey key)`
    `void` | `removeNetworkTrafficListener(NetworkTrafficListener listener)`

    - ### Methods inherited from class org.eclipse.jetty.server.nio.SelectChannelConnector

      `accept, close, customize, doStart, getConnection, getLocalPort, getLowResourcesConnections, getLowResourcesMaxIdleTime, getSelectorManager, newConnection, open, persist, setLowResourcesConnections, setLowResourcesMaxIdleTime, setMaxIdleTime, setThreadPool`

    - ### Methods inherited from class org.eclipse.jetty.server.nio.AbstractNIOConnector

      `getUseDirectBuffers, setUseDirectBuffers`

    - ### Methods inherited from class org.eclipse.jetty.server.AbstractConnector

      `checkForwardedHeaders, configure, connectionClosed, connectionOpened, connectionUpgraded, doStop, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getForwardedCipherSuiteHeader, getForwardedForHeader, getForwardedHostHeader, getForwardedProtoHeader, getForwardedServerHeader, getForwardedSslSessionIdHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostFieldValue, getLowResourceMaxIdleTime, getMaxBuffers, getMaxIdleTime, getName, getPort, getRequestBuffers, getRequestBufferSize, getRequestBufferType, getRequestHeaderSize, getRequestHeaderType, getRequests, getResolveNames, getResponseBuffers, getResponseBufferSize, getResponseBufferType, getResponseHeaderSize, getResponseHeaderType, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isForwarded, isIntegral, isLowResources, join, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedCipherSuiteHeader, setForwardedForHeader, setForwardedHostHeader, setForwardedProtoHeader, setForwardedServerHeader, setForwardedSslSessionIdHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxBuffers, setName, setPort, setRequestBuffers, setRequestBufferSize, setRequestHeaderSize, setResolveNames, setResponseBuffers, setResponseBufferSize, setResponseHeaderSize, setReuseAddress, setServer, setSoLingerTime, setStatsOn, statsReset, stopAccept, toString`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

      `addBean, addBean, contains, destroy, dump, dump, dump, dump, dump, dumpObject, dumpStdErr, dumpThis, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

      `dump, dump`

- - ### Constructor Detail

    - #### NetworkTrafficSelectChannelConnector

          public NetworkTrafficSelectChannelConnector()

  - ### Method Detail

    - #### addNetworkTrafficListener

          public void addNetworkTrafficListener(NetworkTrafficListener listener)

      Parameters:
        `listener` - the listener to add

    - #### removeNetworkTrafficListener

          public void removeNetworkTrafficListener(NetworkTrafficListener listener)

      Parameters:
        `listener` - the listener to remove

    - #### newEndPoint

          protected SelectChannelEndPoint newEndPoint(java.nio.channels.SocketChannel channel,
                                          SelectorManager.SelectSet selectSet,
                                          java.nio.channels.SelectionKey key)
                                               throws java.io.IOException

      Overrides:
        `newEndPoint` in class `SelectChannelConnector`
      Throws:
        `java.io.IOException`

    - #### endPointClosed

          protected void endPointClosed(SelectChannelEndPoint endpoint)

      Overrides:
        `endPointClosed` in class `SelectChannelConnector`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.